Package com.ngrok.services

# Class AbuseReports

java.lang.Object
com.ngrok.services.AbuseReports

public class AbuseReports extends Object
Abuse Reports allow you to submit take-down requests for URLs hosted by ngrok that violate ngrok's terms of service. See also https://ngrok.com/docs/api#api-abuse-reports.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AbuseReports.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `AbuseReports.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbuseReports(NgrokApiClient apiClient)`
  Creates a new sub-client for AbuseReports.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbuseReports.CreateCallBuilder`
  `create(List<URI> urls)`
  Creates a new abuse report which will be reviewed by our system and abuse response team.
  `AbuseReports.GetCallBuilder`
  `get(String id)`
  Get the detailed status of abuse report by ID.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbuseReports

    public AbuseReports(NgrokApiClient apiClient)
    Creates a new sub-client for AbuseReports.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public AbuseReports.CreateCallBuilder create(List<URI> urls)
    Creates a new abuse report which will be reviewed by our system and abuse response team. This API is only available to authorized accounts. Contact abuse@ngrok.com to request access See also https://ngrok.com/docs/api#api-abuse-reports-create.
    Parameters:
      `urls` - a list of URLs containing suspected abusive content
    Returns:
      a call builder for this API call

  - ### get

    public AbuseReports.GetCallBuilder get(String id)
    Get the detailed status of abuse report by ID. See also https://ngrok.com/docs/api#api-abuse-reports-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call